export declare function usernameValid(username: string | undefined): "USERNAME_REQUIRED" | "USERNAME_TOO_LONG" | "INVALID_CHARACTERS" | true;
export declare function catalogSlugValid(slug: string | undefined): "CATALOG_SLUG_REQUIRED" | "CATALOG_SLUG_TOO_LONG" | "CATALOG_SLUG_INVALID" | true;
export declare function packageSlugValid(slug: string | undefined): "PACKAGE_SLUG_REQUIRED" | "PACKAGE_SLUG_TOO_LONG" | "PACKAGE_SLUG_INVALID" | true;
export declare function collectionSlugValid(slug: string | undefined): "COLLECTION_SLUG_REQUIRED" | "COLLECTION_SLUG_TOO_LONG" | "COLLECTION_SLUG_INVALID" | true;
export declare function passwordValid(password: string | undefined): "PASSWORD_REQUIRED" | "PASSWORD_TOO_LONG" | "INVALID_CHARACTERS" | "PASSWORD_TOO_SHORT" | true;
export declare function emailAddressValid(emailAddress: string | undefined): boolean | "REQUIRED" | "TOO_LONG" | "INVALID_EMAIL_ADDRESS_FORMAT";
